##Areal and spatial agreement metrics=group
##Overall Areal Inconsistency=name

##Land_use_map_1=raster
##Land_use_map_2=raster
##Background_value=number 0
##OAI=output table

NAvalue(Land_use_map_1) <- Background_value
NAvalue(Land_use_map_2) <- Background_value

PixelsX <- ncell(Land_use_map_1)
PixelsY <- ncell(Land_use_map_2)

Categories <- unique(Land_use_map_1)
tx <- table(values(Land_use_map_1))
ty <- table(values(Land_use_map_2))
PixelsX = sum(tx)
PixelsY = sum(ty)
PropCatX = 0
PropCatY = 0
for (i in Categories) {
PropCatX[i] <- (tx[i]/PixelsX)*100
PropCatY[i] <- (ty[i]/PixelsY)*100
}
AIC = 0
for (i in Categories) {
AIC[i] <- abs((PropCatX[i] - PropCatY[i])/2)
}
OAI <- sum(AIC)

