##Areal and spatial agreement metrics=group
##Individual Areal Inconsistency=name

##Land_use_map_1=raster
##Land_use_map_2=raster
##LUC_class_to_be_evaluated=number 0
##Background_value=number 0
##AIC=output table
##Prop_Cat_map_1=output table
##Prop_Cat_map_2=output table

NAvalue(Land_use_map_1) <- Background_value
NAvalue(Land_use_map_2) <- Background_value

Category <- LUC_class_to_be_evaluated
as.numeric(Category)
tx <- table(values(Land_use_map_1))
ty <- table(values(Land_use_map_2))
PixelsCatX <- tx[Category]
PixelsCatY <- ty[Category]
PixelsX <- sum(tx)
PixelsY <- sum(ty)
Prop_Cat_map_1 <- (PixelsCatX/PixelsX)*100
Prop_Cat_map_2 <- (PixelsCatY/PixelsY)*100
AIC <- abs((Prop_Cat_map_1 - Prop_Cat_map_2)/2)
